
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Documentation technique &#8212; Documentation Segmentation Image 2.0</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/translations.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Recherche" href="search.html" />
    <link rel="prev" title="Exemples" href="samples.html" /> 
  </head><body>
<div style="background-color: white; text-align: left; padding: 10px 10px 15px 15px">
  <a href="index.html">
  <img src="_static/logo.png" border="0" alt="Segmentation Image"/>
  </a>
</div>

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="Index général"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
        <li class="right" >
          <a href="samples.html" title="Exemples"
             accesskey="P">précédent</a> |</li>
<li><a href="index.html">Segmentation Image home</a>| </li>
<li><a href="contents.html">Documentation </a> &raquo;</li>
 
      </ul>
    </div>

      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table des Matières</a></h3>
  <ul>
<li><a class="reference internal" href="#">Documentation technique</a><ul>
<li><a class="reference internal" href="#segmentation-gui-v2">Segmentation_GUI_V2</a></li>
<li><a class="reference internal" href="#couleur">Couleur</a></li>
<li><a class="reference internal" href="#image">Image</a></li>
<li><a class="reference internal" href="#sommet">Sommet</a></li>
<li><a class="reference internal" href="#arc">Arc</a></li>
<li><a class="reference internal" href="#graphe">Graphe</a></li>
</ul>
</li>
</ul>

  <h4>Sujet précédent</h4>
  <p class="topless"><a href="samples.html"
                        title="Chapitre précédent">Exemples</a></p>
  <div role="note" aria-label="source link">
    <h3>Cette page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/tec_doc.rst.txt"
            rel="nofollow">Montrer le code source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-Segmentation_GUI_V2">
<span id="documentation-technique"></span><h1>Documentation technique<a class="headerlink" href="#module-Segmentation_GUI_V2" title="Lien permanent vers ce titre">¶</a></h1>
<div class="section" id="segmentation-gui-v2">
<h2>Segmentation_GUI_V2<a class="headerlink" href="#segmentation-gui-v2" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Segmentation_GUI_V2.Application">
<em class="property">class </em><code class="descclassname">Segmentation_GUI_V2.</code><code class="descname">Application</code><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p><strong>AUTRES CLASSES IMPORTEES</strong></p>
<ul class="simple">
<li>Image</li>
<li>Graphe</li>
<li>Sommet</li>
<li>tkinter</li>
<li>tkinter.filedialog</li>
<li>numpy</li>
</ul>
<p><strong>LES METHODES</strong></p>
<dl class="method">
<dt id="Segmentation_GUI_V2.Application.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Constructeur de l’objet fenêtre principale de l’application</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
<p>Liste des champs de la classe</p>
<ul class="simple">
<li>self.filepath Adresse du fichier image sur la machine</li>
<li>self.photo Ouverture du fichier image a traiter au format PNG niveau de gris et stockage dans la variable photo</li>
<li>self.img Instance d’un objet Image créé à partir du fichier ci dessus</li>
<li>self.Liste_points Liste des points de repérage des zones</li>
<li>self.Frame1</li>
<li>self.Frame2</li>
<li>self.Frame3</li>
<li>self.Frame4</li>
<li>self.Frame5</li>
<li>self.Frame6</li>
<li>self.Frame7</li>
<li>self.Frame8</li>
<li>self.no_algo Numéro de l’algorithme à appliquer</li>
<li>self.bouton1 Bouton radio de sélection de l’algorithme 1 (Ford Fulkerson)</li>
<li>self.bouton2 Bouton radio de sélection de l’algorithme 2 (Partage des eaux)</li>
<li>self.Lambda le paramètre Lambda servira d’argument aux algorithme de graph cut en cas de besoin</li>
<li>self.scale curseur permettant de déterminer le paramètre Lambda.</li>
<li>self.sv Elément StringVar de Tkinter permettant l’affichage de la liste des points selectionnes dans la fenetre</li>
<li>self.bouton_init Bouton de reinitialisation de la liste des points a vide</li>
<li>self.canvas Canevas d’affichage du fichier image</li>
<li>self.bouton_importation Bouton d’importation d’une nouvelle image</li>
<li>self.bouton_calcul Bouton de lancement calcul des zones</li>
<li>self.bouton_affichage Bouton d’affichage des zones segmentées</li>
<li>self.bouton_exportation Bouton d’exportation</li>
<li>self.bouton_sortie Bouton pour quitter l’application</li>
<li>self.fenetre Fenêtre d’affichage</li>
</ul>
</dd></dl>

<dl class="attribute">
<dt id="Segmentation_GUI_V2.Application.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Segmentation_GUI_V2.Application.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.affiche_zone">
<code class="descname">affiche_zone</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.affiche_zone"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.affiche_zone" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Affichage de l’image RGB avec les zones coloriees.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.calcul_zone">
<code class="descname">calcul_zone</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.calcul_zone"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.calcul_zone" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Calcul de la zone en fonction de la méthode choisie puis coloriage des points correspondants.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objec Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.calcul_zone_0">
<code class="descname">calcul_zone_0</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.calcul_zone_0"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.calcul_zone_0" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Calcul de la zone en fonction de la méthode choisie puis coloriage des points correspondants.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.exporte_image">
<code class="descname">exporte_image</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.exporte_image"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.exporte_image" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>&nbsp;» 
Exportation de l’image avec les zones coloriees au format png.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.import_image">
<code class="descname">import_image</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.import_image"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.import_image" title="Lien permanent vers cette définition">¶</a></dt>
<dd><div class="admonition-todo admonition" id="index-0">
<p class="first admonition-title">À faire</p>
<p class="last">???en test ??? comment remplacer l’ancienne image par la nouvelle dans le canvas? Actuellement il reste un cadre gris. Peut-être raffraichir la fenetre recompletement ??? A chercher</p>
</div>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.liste_nulle">
<code class="descname">liste_nulle</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.liste_nulle"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.liste_nulle" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction d’initialisation de la liste des points
procedure sans argument qui remet la variable globale Listepoints a vide 
et qui met a jour son affichage dans la fenetre graphique</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">Objet Application</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.select_pixel">
<code class="descname">select_pixel</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.select_pixel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.select_pixel" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction de sélection de pixel a la souris
Quand l’évènement évènement event (qui sera le click droit de la souris) se produit , collecte les coordonnees X,Y du point clique et ajoute [X,Y] à la liste Liste_point (variable globale).</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</li>
<li><strong>event</strong> (<em>Event</em>) – Objet Event</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">Objet Application</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Segmentation_GUI_V2.Application.select_pixel_maj">
<code class="descname">select_pixel_maj</code><span class="sig-paren">(</span><em>event</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Segmentation_GUI_V2.html#Application.select_pixel_maj"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Segmentation_GUI_V2.Application.select_pixel_maj" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Gestion de la selection des points : quand l’évènement event (se sera click droit de la souris sur l’image) se produit , la liste Liste_points est augmentee des coordonnees du point clique et l’affichage de cette liste est mise a jour.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</li>
<li><strong>event</strong> (<em>Event</em>) – Objet Event</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">Objet Application</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last"><a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application">Application</a></p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<span class="target" id="module-Couleur"></span></div>
<div class="section" id="couleur">
<h2>Couleur<a class="headerlink" href="#couleur" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Couleur.Couleur">
<em class="property">class </em><code class="descclassname">Couleur.</code><code class="descname">Couleur</code><span class="sig-paren">(</span><em>couleur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Couleur.html#Couleur"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Couleur.Couleur" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p><strong>LES CONSTANTES</strong></p>
<p><strong>Couleurs disponibles pour le coloriage des zones détectées</strong></p>
<p>Le dictionnaire coul associe des noms de couleur au triplet de couleurs RGB codes chacun sur 8 bits.
Il contient les couleurs suivantes : 
“red”(rouge) ; “blue”(bleu) ; “green”(vert) ; “yellow”(jaune) ; “cyan” ; “magenta”</p>
<p><strong>LES METHODES</strong></p>
<dl class="method">
<dt id="Couleur.Couleur.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>couleur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Couleur.html#Couleur.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Couleur.Couleur.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Constructeur d’un objet Couleur</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Couleur.Couleur" title="Couleur.Couleur"><em>Couleur</em></a>) – Objet Couleur</li>
<li><strong>couleur</strong> (<em>string</em>) – chaine de caractère définissant la couleur</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">Objet Couleur</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last"><a class="reference internal" href="#Couleur.Couleur" title="Couleur.Couleur">Couleur</a></p>
</td>
</tr>
</tbody>
</table>
<p>Liste des champs de la classe</p>
<ul class="simple">
<li>Couleur.nom nom du dictionnaire</li>
<li>Couleur.RVB_8bits codage RVB sur 3 fois 8 bits (chacune des 3 valeurs est comprise entre 0 et 255)</li>
<li>Couleur_png codage RVB pour format PNG (chacune des 3 valeurs est comprise entre 0 et 1)</li>
</ul>
</dd></dl>

<dl class="attribute">
<dt id="Couleur.Couleur.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Couleur.Couleur.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Couleur.Couleur.couleur_2_RVB">
<code class="descname">couleur_2_RVB</code><span class="sig-paren">(</span><em>Couleur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Couleur.html#Couleur.couleur_2_RVB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Couleur.Couleur.couleur_2_RVB" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction convertissant la couleur “Couleur” au format texte provenant de Liste_couleur en un triplet correspondant a son codage RGB.
:param self: Objet Application  
:type self: Application</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>Couleur</strong> (<em>String</em>) – Couleur doit être une entrée du dictionnaire coul.</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">code couleur RVB. Triplet d’entiers compris entre 0 et 255</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body">(int,int,int)</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Couleur.Couleur.couleur_2_RVB_png">
<code class="descname">couleur_2_RVB_png</code><span class="sig-paren">(</span><em>Couleur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Couleur.html#Couleur.couleur_2_RVB_png"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Couleur.Couleur.couleur_2_RVB_png" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction convertissant une couleur au format texte provenant de Liste_couleur en un triplet correspondant a son codage RGB dans une image PNG.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Segmentation_GUI_V2.Application" title="Segmentation_GUI_V2.Application"><em>Application</em></a>) – Objet Application</li>
<li><strong>Couleur</strong> (<em>String</em>) – Couleur doit être une entrée du dictionnaire coul.</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">code couleur RVB format PNG. Triplet de flottants compris entre 0 et 1</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last">(float,float,float)</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Couleur.Couleur.couleur_float_2_entier_8bits">
<code class="descname">couleur_float_2_entier_8bits</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Couleur.html#Couleur.couleur_float_2_entier_8bits"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Couleur.Couleur.couleur_float_2_entier_8bits" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Converti un flottant compris entre 0 et 1 en entier du format png comme entier entre 0 et 255. Pour faciliter la conversion d’une couleur codée en RVB format PNG en RVB 3 fois 8bits.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>c</strong> (<em>float</em>) – doit être un nombre flottant etre 0 et 1.</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">code couleur RVB. Entiers compris entre 0 et 255</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body">int</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<span class="target" id="module-Image"></span></div>
<div class="section" id="image">
<h2>Image<a class="headerlink" href="#image" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Image.Image">
<em class="property">class </em><code class="descclassname">Image.</code><code class="descname">Image</code><span class="sig-paren">(</span><em>FilePath</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p><strong>AUTRES CLASSES IMPORTEES</strong></p>
<ul class="simple">
<li>Couleur</li>
<li>matplotlib.pyplot</li>
<li>matplotlib.image</li>
<li>numpy</li>
</ul>
<p><strong>LES METHODES</strong></p>
<dl class="method">
<dt id="Image.Image.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>FilePath</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Constructeur d’un objet Image</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</li>
<li><strong>FilePath</strong> (<em>string</em>) – Chemin du fichier image à importer</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">Objet Image</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last"><a class="reference internal" href="#Image.Image" title="Image.Image">Image</a></p>
</td>
</tr>
</tbody>
</table>
<p>Liste des champs de la classe</p>
<ul class="simple">
<li>self.file Chemin du fichier image sur la machine</li>
<li>self.image_np_gray Image importée au format png avec mpimg.imread</li>
<li>self.hauteur hauteur de l’image en pixels</li>
<li>self.largeur largeur de l’image en pixels</li>
<li>self.image_np_RGB Tableau numpy RGB obtenu à partir d’un tableau numpy niveaux de gris (chacune des 3 valeurs est un flottant compris entre 0 et 1 et prend la vareur du niveau de gris de l’image de départ)</li>
</ul>
<p>Pour les lignes et les colonnes je me place du point de vue de l’image. 
Dans le tableau numpy, les coordonnées sont inversées.</p>
</dd></dl>

<dl class="attribute">
<dt id="Image.Image.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Image.Image.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Image.Image.affiche_image_RGB">
<code class="descname">affiche_image_RGB</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.affiche_image_RGB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.affiche_image_RGB" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Affichage de l’image self.image_np_RGB. (Numpy png niveaux de gris)</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.colorie_liste_points">
<code class="descname">colorie_liste_points</code><span class="sig-paren">(</span><em>L</em>, <em>Color</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.colorie_liste_points"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.colorie_liste_points" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Procedure qui prend en entree une liste de points au format [x,y], une couleur de la liste List_couleur.  
Elle change la couleur des points du tableau self.image_np_RGB (un tableau Numpy Array representant une image PNG en RVB) de coordonnées les valeurs se trouvant dans la liste pour Couleur. le tableau  est modifie par effets de bord</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first last simple">
<li><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</li>
<li><strong>L</strong> (<em>List</em>) – Liste de points au format [x,y]</li>
<li><strong>Color</strong> (<em>str</em>) – une couleur du dictionnaire coul</li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.colorie_zone_img_RGB_np">
<code class="descname">colorie_zone_img_RGB_np</code><span class="sig-paren">(</span><em>L</em>, <em>Couleur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.colorie_zone_img_RGB_np"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.colorie_zone_img_RGB_np" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Colorie la zone determinee par L dans l’image RGB avec la couleur Couleur</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</li>
<li><strong>L</strong> (<em>List</em>) – Liste de points au format [x,y]</li>
<li><strong>Color</strong> (<em>str</em>) – une couleur du dictionnaire coul</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Todo:</th><td class="field-body"><p class="first last">voir l’intérêt de cette foncttion par rapport à la précédente ???</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.couleur_entier_8bits">
<code class="descname">couleur_entier_8bits</code><span class="sig-paren">(</span><em>x</em>, <em>y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.couleur_entier_8bits"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.couleur_entier_8bits" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne la couleur(niveau de gris) du pixel de coordonnées (x,y) qui était codée comme flottant entre 0 et 1 comme entier entre 0 et 255</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first simple">
<li><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</li>
<li><strong>x</strong> (<em>float</em>) – abscisse du pixel sur l’image.</li>
<li><strong>y</strong> (<em>float</em>) – ordonnée du pixel sur l’image.</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body"><p class="first">le tableau Numpy correspondant à l’image png situtée à l’adresse self.FilePath</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body"><p class="first last">Numpy Array</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.export_image_2_file">
<code class="descname">export_image_2_file</code><span class="sig-paren">(</span><em>chaine</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.export_image_2_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.export_image_2_file" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Procedure exportant le tableau numpy image RGB en image png à l’adresse FilePath modifiee.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><ul class="first last simple">
<li><strong>self</strong> (<em>Str</em>) – Objet Image</li>
<li><strong>self</strong> – chaine de caractère servant à modifier le nom du fichier d’enregistrement de l’image à partir du nom de départ.</li>
</ul>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.gray_2_RGB">
<code class="descname">gray_2_RGB</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.gray_2_RGB"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.gray_2_RGB" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction de conversion d’un tableau numpy image importe du fichier image en niveaux de gris PNG en un tableau numpy png RGB.
Les donnees de l’image importée en niveaux de gris PNG sont recopiées dans un Numpy Array image RGB PNG qui est retourné.
Pour chaque pixel, les valeurs de RVB sont toutes les trois égales au fichier en niveau de gris initial.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">le tableau Numpy correspondant à l’image png situtée à l’adresse self.FilePath</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body">Numpy Array</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="Image.Image.import_image_from_file">
<code class="descname">import_image_from_file</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Image.html#Image.import_image_from_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Image.Image.import_image_from_file" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Fonction de chargement de l’image png accessible avec le chemin filepath et de conversion en tableau Numpy</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Paramètres:</th><td class="field-body"><strong>self</strong> (<a class="reference internal" href="#Image.Image" title="Image.Image"><em>Image</em></a>) – Objet Image</td>
</tr>
<tr class="field-even field"><th class="field-name">Renvoie:</th><td class="field-body">le tableau Numpy correspondant à l’image png situtée à l’adresse self.FilePath</td>
</tr>
<tr class="field-odd field"><th class="field-name">Type renvoyé:</th><td class="field-body">Numpy Array</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<span class="target" id="module-Sommet"></span></div>
<div class="section" id="sommet">
<h2>Sommet<a class="headerlink" href="#sommet" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Sommet.Sommet">
<em class="property">class </em><code class="descclassname">Sommet.</code><code class="descname">Sommet</code><span class="sig-paren">(</span><em>x</em>, <em>y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Sommet.html#Sommet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Sommet.Sommet" title="Lien permanent vers cette définition">¶</a></dt>
<dd><dl class="method">
<dt id="Sommet.Sommet.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>x</em>, <em>y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Sommet.html#Sommet.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Sommet.Sommet.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Initialize self.  See help(type(self)) for accurate signature.</p>
</dd></dl>

<dl class="attribute">
<dt id="Sommet.Sommet.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Sommet.Sommet.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Sommet.Sommet.est_egal">
<code class="descname">est_egal</code><span class="sig-paren">(</span><em>sommet</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Sommet.html#Sommet.est_egal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Sommet.Sommet.est_egal" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne vrai si self et sommet sont égaux</p>
</dd></dl>

</dd></dl>

<span class="target" id="module-Arc"></span></div>
<div class="section" id="arc">
<h2>Arc<a class="headerlink" href="#arc" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Arc.Arc">
<em class="property">class </em><code class="descclassname">Arc.</code><code class="descname">Arc</code><span class="sig-paren">(</span><em>origine</em>, <em>destination</em>, <em>poids</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc" title="Lien permanent vers cette définition">¶</a></dt>
<dd><dl class="method">
<dt id="Arc.Arc.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>origine</em>, <em>destination</em>, <em>poids</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Origine et destination sont des sommets, poids est un nombre entier</p>
</dd></dl>

<dl class="attribute">
<dt id="Arc.Arc.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Arc.Arc.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.augmente_poids">
<code class="descname">augmente_poids</code><span class="sig-paren">(</span><em>valeur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.augmente_poids"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.augmente_poids" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>self*int-&gt;int
Augmente le poids de l’arc de valeur</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.destination">
<code class="descname">destination</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.destination"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.destination" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne la destination de l’arc</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.diminue_poids">
<code class="descname">diminue_poids</code><span class="sig-paren">(</span><em>valeur</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.diminue_poids"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.diminue_poids" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>self*int-&gt;int
Diminue le poids de l’arc de valeur</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.est_identique">
<code class="descname">est_identique</code><span class="sig-paren">(</span><em>arc</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.est_identique"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.est_identique" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne vrai si self et arc sont égaux</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.origine">
<code class="descname">origine</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.origine"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.origine" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne l’origine de l’arc</p>
</dd></dl>

<dl class="method">
<dt id="Arc.Arc.poids">
<code class="descname">poids</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Arc.html#Arc.poids"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Arc.Arc.poids" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>distinguer capacité et flow</p>
</dd></dl>

</dd></dl>

<span class="target" id="module-Graphe"></span></div>
<div class="section" id="graphe">
<h2>Graphe<a class="headerlink" href="#graphe" title="Lien permanent vers ce titre">¶</a></h2>
<p>This comments are not included in the <em>docstrings</em>.</p>
<dl class="class">
<dt id="Graphe.Graphe">
<em class="property">class </em><code class="descclassname">Graphe.</code><code class="descname">Graphe</code><span class="sig-paren">(</span><em>image</em>, <em>source</em>, <em>puits</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe" title="Lien permanent vers cette définition">¶</a></dt>
<dd><dl class="method">
<dt id="Graphe.Graphe.__init__">
<code class="descname">__init__</code><span class="sig-paren">(</span><em>image</em>, <em>source</em>, <em>puits</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.__init__"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.__init__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>image est un tableau numpy d’une image codée sur une couche en niveaux de gris
source et puits sont des sommets particulier du graphe</p>
</dd></dl>

<dl class="attribute">
<dt id="Graphe.Graphe.__weakref__">
<code class="descname">__weakref__</code><a class="headerlink" href="#Graphe.Graphe.__weakref__" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>list of weak references to the object (if defined)</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.ajoute_arc">
<code class="descname">ajoute_arc</code><span class="sig-paren">(</span><em>origine</em>, <em>destination</em>, <em>img</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.ajoute_arc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.ajoute_arc" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Ajoute l’arc allant du sommet origine au sommet destination. son poids est déterminé comme valeur absolue de la différence entre les couleurs des pixels correspondants sur l’image img codées sur 8 bits en niveaux de gris à la liste des arcs issus du sommet origine</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.ajoute_sommet">
<code class="descname">ajoute_sommet</code><span class="sig-paren">(</span><em>x</em>, <em>y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.ajoute_sommet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.ajoute_sommet" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Ajoute le sommet de coordonnées (x,y) sur l’image à liste</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.arc_de_sommet1_a_sommet2">
<code class="descname">arc_de_sommet1_a_sommet2</code><span class="sig-paren">(</span><em>no_sommet1</em>, <em>no_sommet2</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.arc_de_sommet1_a_sommet2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.arc_de_sommet1_a_sommet2" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne l’arc qui va du sommet1 au sommet2</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.arc_inverse">
<code class="descname">arc_inverse</code><span class="sig-paren">(</span><em>arc</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.arc_inverse"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.arc_inverse" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>retourne l’arc (sommet 2-&gt;sommet 1) inverse de arc (sommet 1-&gt;sommet 2)
a ne pas appliquer si arc.destination = sommet d’arrivée ou si arc.origine = sommet de départ puisqu’aucun arc 
n’arrive au départ ni ne part de l’arrivée</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.cherche_chemin_maximal_arcs">
<code class="descname">cherche_chemin_maximal_arcs</code><span class="sig-paren">(</span><em>no_sommet_depart</em>, <em>no_sommet_arrivee</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.cherche_chemin_maximal_arcs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.cherche_chemin_maximal_arcs" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne la liste des arcs formant un chemin maximal non infini du sommet de no_sommet_depart au sommet de  no_sommet_arrivee</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.cherche_chemin_maximal_sommets">
<code class="descname">cherche_chemin_maximal_sommets</code><span class="sig-paren">(</span><em>no_sommet_depart</em>, <em>no_sommet_arrivee</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.cherche_chemin_maximal_sommets"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.cherche_chemin_maximal_sommets" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne la liste des sommets formant un chemin maximal non infini du sommet de no_sommet_depart au sommet de  no_sommet_arrivee</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.cherche_chemin_minimal">
<code class="descname">cherche_chemin_minimal</code><span class="sig-paren">(</span><em>no_sommet_depart</em>, <em>no_sommet_arrivee</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.cherche_chemin_minimal"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.cherche_chemin_minimal" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne la liste des sommets formant un chemin minimal du sommet de no_sommet_depart au sommet de  no_sommet_arrivee</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.coordonnees_2_no_sommet">
<code class="descname">coordonnees_2_no_sommet</code><span class="sig-paren">(</span><em>x</em>, <em>y</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.coordonnees_2_no_sommet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.coordonnees_2_no_sommet" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne l’indice du sommet dans la liste à partir de ses coordonnées de point sur l’image</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.cree_arc">
<code class="descname">cree_arc</code><span class="sig-paren">(</span><em>origine</em>, <em>destination</em>, <em>img</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.cree_arc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.cree_arc" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Crée un arc allant du sommet origine au sommet destination. son poids est déterminé comme valeur absolue de la différence entre les couleurs des pixels correspondants sur l’image img codées sur 8 bits en niveaux de gris</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.cree_arcs_de_sommet_vers_voisins">
<code class="descname">cree_arcs_de_sommet_vers_voisins</code><span class="sig-paren">(</span><em>no_sommet</em>, <em>img</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.cree_arcs_de_sommet_vers_voisins"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.cree_arcs_de_sommet_vers_voisins" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Crée tous les arc partant d’un sommet identifié par son no vers tous ses voisins
si le sommet n’est pas le puits, chercher les voisins et creer les arcs qui vont su sommet vers ses voisins</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.distances_maximales">
<code class="descname">distances_maximales</code><span class="sig-paren">(</span><em>no_sommet_depart</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.distances_maximales"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.distances_maximales" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>calcule la pseudo-distance minimale (somme des inverses des poids des arêtes) d’un chemin maximal non infini
entre le sommet de départ identifié par no_sommet_départ et tous les sommets du graphe. 
Retourne la liste des pseudo distances minimales indexée par les no de sommet correspondant
Algorithme de Bellman-Ford avec mémorisation des pères</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.distances_minimales">
<code class="descname">distances_minimales</code><span class="sig-paren">(</span><em>no_sommet_depart</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.distances_minimales"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.distances_minimales" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>calcule la distance d’un chemin minimal entre le sommet de départ identifié par no_sommet_départ
et tous les sommets du graphe. Retourne la liste des distances minimales indexée par les no de sommet correspondant
Algorithme de Bellman-Ford avec mémorisation des pères</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.ford_fulkerson">
<code class="descname">ford_fulkerson</code><span class="sig-paren">(</span><em>no_sommet_depart</em>, <em>no_sommet_arrivee</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.ford_fulkerson"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.ford_fulkerson" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Algorithme de Ford-Fulkerson</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.image_2_liste_arcs">
<code class="descname">image_2_liste_arcs</code><span class="sig-paren">(</span><em>img</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.image_2_liste_arcs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.image_2_liste_arcs" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Crée la liste des arcs à partir de l’image 
La liste des sommets doit être créée au préalable</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.image_2_liste_sommets">
<code class="descname">image_2_liste_sommets</code><span class="sig-paren">(</span><em>img</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.image_2_liste_sommets"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.image_2_liste_sommets" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Crée la liste des sommets à partir de l’image parcourue colonne par colonne - le tableau numpy est parcouru ligne par ligne à cause de l’inversion des coordonnées )</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.liste_no_sommets_voisins">
<code class="descname">liste_no_sommets_voisins</code><span class="sig-paren">(</span><em>no_sommet</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.liste_no_sommets_voisins"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.liste_no_sommets_voisins" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>détermine la liste des numéros de sommets voisins d’un sommet identifié par son numéro
est utilisée pour la création de la liste des arcs donc ne peut pas se servir de celle-ci</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.no_sommet_2_coordonnees">
<code class="descname">no_sommet_2_coordonnees</code><span class="sig-paren">(</span><em>n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.no_sommet_2_coordonnees"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.no_sommet_2_coordonnees" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne les coordonnées du sommet sur l’image à partir de son numéro dans la liste</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.poids_min_dans_chemin">
<code class="descname">poids_min_dans_chemin</code><span class="sig-paren">(</span><em>chemin</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.poids_min_dans_chemin"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.poids_min_dans_chemin" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne le poids minimal des arcs contenus dans chemin formé d’une liste d’arcs</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.sommet_2_no_sommet">
<code class="descname">sommet_2_no_sommet</code><span class="sig-paren">(</span><em>sommet</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.sommet_2_no_sommet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.sommet_2_no_sommet" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>Retourne l’indice du sommet dans la liste à partir du sommet</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.supprime_arcs_poids_zero">
<code class="descname">supprime_arcs_poids_zero</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.supprime_arcs_poids_zero"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.supprime_arcs_poids_zero" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>supprime tous les arcs de poids zéro du graphe de flot</p>
</dd></dl>

<dl class="method">
<dt id="Graphe.Graphe.supprime_arcs_vers_sommet">
<code class="descname">supprime_arcs_vers_sommet</code><span class="sig-paren">(</span><em>no_sommet</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/Graphe.html#Graphe.supprime_arcs_vers_sommet"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Graphe.Graphe.supprime_arcs_vers_sommet" title="Lien permanent vers cette définition">¶</a></dt>
<dd><p>supprime tous les arcs arrivant à un sommet repéré par son no_sommet et partant de ses voisins</p>
</dd></dl>

</dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="Index général"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
        <li class="right" >
          <a href="samples.html" title="Exemples"
             >précédent</a> |</li>
<li><a href="index.html">Segmentation Image home</a>| </li>
<li><a href="contents.html">Documentation </a> &raquo;</li>
 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, Cecile Prouteau.
      Créé avec <a href="http://sphinx-doc.org/">Sphinx</a> 1.7.9.
    </div>
  </body>
</html>